[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBCtrls' (#lcl)

# TDBCheckBox.UpdateAction

Updates the state for the specified action.

## Declaration

Source position: dbctrls.pp line 683

`public function TDBCheckBox.UpdateAction(`
`AAction: TBasicAction`
`):Boolean; override;`

## Arguments

`AAction` |  | Action examined and updated in the method.

## Function result

True when the action is supported and updated in the method.

## Description

UpdateAction is overridden in TDBCheckBox, and checks the action specified in AAction to ensure that the current control is a target for the action.

UpdateAction calls the inherited method to determine if the control is a target for the action. If it is not handled (or updated), the internal TFieldDataLink instance calls its UpdateAction method. The action is supported when the DataSource is the target for the action.

No actions are performed in the method, and the return value is False, when the field data link has not been assigned. The return value is True when the action is supported for the control, and successfully updated in the method.

## See also

TDBCheckBox.DataSource |  | Provides access to the dataset with content for the control.
TDataLink.UpdateAction
TControl.Action |  | The Action associated with the control.
TComponent.UpdateAction
TBasicAction